## python-imaging 1.1.7+1.7.8

=== debian/changelog ===
python-imaging (1.1.7+1.7.8-1ubuntu2) raring; urgency=low

  * Add python-imaging-compat modules to get back the old top-level module
    names (i.e. not subpackages within PIL) for Python 2 only. (Barry
    Warsaw). LP: #1112496.
  * python-imaging: Depend on python-imaging-compat for now.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 10 Feb 2013 16:31:33 +0100

python-imaging (1.1.7+1.7.8-1ubuntu1) raring; urgency=low

  * Rewrite build dependencies to allow cross builds.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Jan 2013 20:49:20 +0100

python-imaging (1.1.7+1.7.8-1) experimental; urgency=low

  * Build from the Pillow fork, version 1.7.8, plus vcs updates.
  * Build using setuptools.
  * Build python3 packages, using port by Brian Crowell.
  * Allow the package to cross-build.

 -- Matthias Klose <doko@debian.org>  Thu, 31 Jan 2013 18:52:38 +0100

python-imaging (1.1.7-4) unstable; urgency=low

  * Add multiarch search directories as given by dpkg-architecture.
    This re-enables support for: tkinter, jpeg, zlib, freetype2, and
    littlecms (Marc Tardif, Barry Warsaw). LP: #806661.
    Closes: #632962, #632180.
  * Build using libjpeg8.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Jul 2011 11:56:15 +0200
