=== debian/control ===
Source: python-imaging
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper, tk8.5-dev, dpkg-dev (>= 1.16.1~),
  python-all-dev:any (>= 2.6.5-9~), python-all-dbg:any, python-setuptools,
  python3-all-dev:any (>= 3.3), python3-all-dbg:any, python3-setuptools,
  libpython-all-dev, libpython-all-dbg,
  libpython3-all-dev, libpython3-all-dbg,
  python-tk-dbg (>= 2.7.3), python3-tk-dbg (>= 3.3),
  libsane-dev, libfreetype6-dev, libjpeg8-dev, zlib1g-dev, liblcms1-dev,
Build-Conflicts: python-numarray
Standards-Version: 3.9.4

Package: python-imaging
Architecture: any
Depends: ${python:Depends}, mime-support | python-imaging-tk,
  python-imaging-compat,
  ${shlibs:Depends}, ${misc:Depends}
Suggests: python-imaging-doc, python-imaging-dbg
Provides: ${python:Provides}, python-pillow
Description: Python Imaging Library (Pillow fork)
 The Python Imaging Library (PIL) adds an image object to your Python
 interpreter. You can load images from a variety of file formats, and
 apply a rich set of image operations to them.
 .
 Image Objects:
  o Bilevel, greyscale, palette, true colour (RGB), true colour with
    transparency (RGBA).
  o colour separation (CMYK).
  o Copy, cut, paste operations.
  o Flip, transpose, resize, rotate, and arbitrary affine transforms.
  o Transparency operations.
  o Channel and point operations.
  o Colour transforms, including matrix operations.
  o Image enhancement, including convolution filters.
 .
 File Formats:
  o Full (Open/Load/Save): BMP, EPS (with ghostscript), GIF, IM, JPEG,
    MSP, PDF, PNG, PPM, TIFF, XBM.
  o Read only (Open/Load): ARG, CUR, DCX, FLI, FPX, GBR, GD, ICO, IMT, IPTC,
    MCIDAS, MPEG, PhotoCD, PCX, PIXAR, PSD, TGA, SGI, SUN, TGA, WMF, XPM.
  o Save only: PDF, EPS (without ghostscript).

Package: python-imaging-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-imaging (= ${binary:Version}), python-dbg,
  ${shlibs:Depends}, ${misc:Depends}
Description: Python Imaging Library (debug extension)
 The Python Imaging Library (PIL) adds an image object to your Python
 interpreter. You can load images from a variety of file formats, and
 apply a rich set of image operations to them.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-imaging-tk
Architecture: any
Depends: python-imaging (= ${binary:Version}), python-tk (>= 2.5.2-1.1),
  ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-imaging-doc, python-imaging-tk-dbg
Provides: ${python:Provides}
Description: Python Imaging Library - ImageTk Module (Pillow fork)
 Tk dependent python-imaging module.

Package: python-imaging-tk-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-imaging-tk (= ${binary:Version}),
  python-imaging-dbg (= ${binary:Version}),
  python-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: Python Imaging Library - ImageTk Module (debug extension)
 Tk dependent python-imaging module.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-imaging-sane
Architecture: any
Depends: python-imaging (= ${binary:Version}), ${python:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: python-tk (>= 2.5.2-1.1)
Suggests: python-imaging-doc, python-imaging-sane-dbg
Provides: ${python:Provides}
Description: Python Imaging Library - SANE interface (Pillow fork)
 The imaging-sane module is a Python interface to the SANE (Scanner
 Access is Now Easy) library, which provides access to various raster
 scanning devices such as flatbed scanners and digital cameras.

Package: python-imaging-sane-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-imaging-sane (= ${binary:Version}),
  python-imaging-dbg (= ${binary:Version}),
  python-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: Python Imaging Library - SANE interface (debug extension)
 The imaging-sane module is a Python interface to the SANE (Scanner
 Access is Now Easy) library, which provides access to various raster
 scanning devices such as flatbed scanners and digital cameras.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python3-imaging
Architecture: any
Depends: ${python3:Depends}, mime-support | python3-imaging-tk,
  ${shlibs:Depends}, ${misc:Depends}
Suggests: python-imaging-doc, python3-imaging-dbg
Provides: ${python:Provides}, python3-pillow
Description: Python Imaging Library (Python3)
 The Python Imaging Library (PIL) adds an image object to your Python
 interpreter. You can load images from a variety of file formats, and
 apply a rich set of image operations to them.
 .
 Image Objects:
  o Bilevel, greyscale, palette, true colour (RGB), true colour with
    transparency (RGBA).
  o colour separation (CMYK).
  o Copy, cut, paste operations.
  o Flip, transpose, resize, rotate, and arbitrary affine transforms.
  o Transparency operations.
  o Channel and point operations.
  o Colour transforms, including matrix operations.
  o Image enhancement, including convolution filters.
 .
 File Formats:
  o Full (Open/Load/Save): BMP, EPS (with ghostscript), GIF, IM, JPEG,
    MSP, PDF, PNG, PPM, TIFF, XBM.
  o Read only (Open/Load): ARG, CUR, DCX, FLI, FPX, GBR, GD, ICO, IMT, IPTC,
    MCIDAS, MPEG, PhotoCD, PCX, PIXAR, PSD, TGA, SGI, SUN, TGA, WMF, XPM.
  o Save only: PDF, EPS (without ghostscript).

Package: python3-imaging-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python3-imaging (= ${binary:Version}), python3-dbg,
  ${shlibs:Depends}, ${misc:Depends}
Description: Python Imaging Library (Python3 debug extension)
 The Python Imaging Library (PIL) adds an image object to your Python
 interpreter. You can load images from a variety of file formats, and
 apply a rich set of image operations to them.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python3-imaging-tk
Architecture: any
Depends: python3-imaging (= ${binary:Version}),
  python3-tk (>= 2.5.2-1.1),
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-imaging-doc, python3-imaging-tk-dbg
Provides: ${python:Provides}
Description: Python Imaging Library - ImageTk Module (Python3)
 Tk dependent python-imaging module.

Package: python3-imaging-tk-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python3-imaging-tk (= ${binary:Version}),
  python3-imaging-dbg (= ${binary:Version}),
  python3-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: Python Imaging Library - ImageTk Module (Python3 debug extension)
 Tk dependent python-imaging module.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python3-imaging-sane
Architecture: any
Depends: python3-imaging (= ${binary:Version}), ${python3:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: python3-tk (>= 2.5.2-1.1)
Suggests: python-imaging-doc, python3-imaging-sane-dbg
Provides: ${python3:Provides}
Description: Python Imaging Library - SANE interface (Python3)
 The imaging-sane module is a Python interface to the SANE (Scanner
 Access is Now Easy) library, which provides access to various raster
 scanning devices such as flatbed scanners and digital cameras.

Package: python3-imaging-sane-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python3-imaging-sane (= ${binary:Version}),
  python3-imaging-dbg (= ${binary:Version}),
  python3-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: Python Imaging Library - SANE interface (Python 3debug extension)
 The imaging-sane module is a Python interface to the SANE (Scanner
 Access is Now Easy) library, which provides access to various raster
 scanning devices such as flatbed scanners and digital cameras.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-imaging-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: python-imaging-doc-html, python-imaging-doc-pdf,
  python-doc, python3-imaging | python-imaging, python3-imaging-tk | python-imaging-tk
Replaces: python-pil-doc
Conflicts: python-pil-doc
Description: Examples for the Python Imaging Library
 The Python Imaging Library (PIL) adds an image object to your
 Python interpreter. You can load image objects from a variety of file
 formats, and apply a rich set of image operations to them.
 .
 This package contains PIL API documentation and some example scripts.
 You may also want to look at the python-imaging-doc-html or
 python-imaging-doc-pdf packages for the PIL handbook documentation.

Package: python-imaging-compat
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-imaging
Description: Python Imaging Library compatibility layer
 PIL used to provide a PIL.pth file which allowed you to `import Image` but
 this is deprecated.  Use `from PIL import Image` now, or install this
 compatibility package to temporarily get the old behavior back.
 .
 This compatibility package is built for Python 2 only.
