=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS	:= $(shell pyversions -vr)
PYVER   := $(shell python -c 'import sys; print sys.version[:3]')

PY3VERS	:= $(shell py3versions -vr)
PY3VER   := $(shell python3 -c 'import sys; print(sys.version[:3])')

include /usr/share/python/python.mk

include /usr/share/dpkg/architecture.mk
ifneq ($(DEB_BUILD_MULTIARCH),$(DEB_HOST_MULTIARCH))
  SET_CROSS_ENV = PYTHONPATH=/usr/lib/python$$pv/plat-$(DEB_HOST_MULTIARCH)

  # FIXME: is this sufficient?
  SET_CROSS_ENV += _PYTHON_HOST_PLATFORM=$(DEB_HOST_GNU_CPU)
endif

build-arch: build
build-indep: build
build: build-stamp
build-stamp: $(PYVERS:%=build-stamp-python%) $(PY3VERS:%=build-stamp-python%)
	touch $@
build-stamp-python%:
	$(SET_CROSS_ENV) python$* setup.py build
	cd Sane && $(SET_CROSS_ENV) python$* setup.py build

	$(SET_CROSS_ENV) python$*-dbg setup.py build
	cd Sane && $(SET_CROSS_ENV) python$*-dbg setup.py build
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp*
	rm -rf compile build Sane/build
	rm -rf Pillow*.egg-info
	find -name '*.py[co]' -exec rm -f {} \;
	dh_clean

get-doc:
	wget -r --no-parent --no-host-directories --cut-dirs=2 \
		http://www.pythonware.com/library/pil/handbook/index.htm

install: build install-prereq $(PYVERS:%=install-python%) $(PY3VERS:%=install3-python%)
	dh_installdocs -ppython-imaging-doc #Docs/*
	dh_installexamples -ppython-imaging-doc Scripts/*

	dh_installdocs -ppython-imaging README.rst

	dh_installdocs -ppython-imaging-sane Sane/sanedoc.txt
#	dh_installexamples -ppython-imaging-sane Sane/demo*.py

	: # Replace all '#!' calls to python with /usr/bin/python
	: # and make them executable
	for i in `find debian/python-imaging* -mindepth 3 -type f`; do \
	  sed '1s,#!.*python[^ ]*\(.*\),#! /usr/bin/python\1,' \
		$$i > $$i.temp; \
	  if cmp --quiet $$i $$i.temp; then \
	    rm -f $$i.temp; \
	  else \
	    mv -f $$i.temp $$i; \
	    chmod 755 $$i; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done
	for i in `find debian/python3-imaging* -mindepth 3 -type f`; do \
	  sed '1s,#!.*python[^ ]*\(.*\),#! /usr/bin/python3\1,' \
		$$i > $$i.temp; \
	  if cmp --quiet $$i $$i.temp; then \
	    rm -f $$i.temp; \
	  else \
	    mv -f $$i.temp $$i; \
	    chmod 755 $$i; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done
	for i in debian/python3-imaging/usr/bin/*.py; do \
	  mv $$i debian/python3-imaging/usr/bin/$$(basename $$i .py); \
	done

install-prereq:
	dh_testdir
	dh_testroot
	dh_clean -k

install-python%:
	$(SET_CROSS_ENV) python$* setup.py install --root $(CURDIR)/debian/python-imaging \
		$(py_setup_install_args)
	cd Sane && $(SET_CROSS_ENV) python$* setup.py install \
		--root $(CURDIR)/debian/python-imaging-sane  $(py_setup_install_args)
	mkdir -p debian/python-imaging/usr/include/python$*
	install -o root -g root -m 644 \
		libImaging/Imaging.h \
		libImaging/ImPlatform.h \
		libImaging/ImDib.h \
		debian/python-imaging/usr/include/python$*

	dh_movefiles -ppython-imaging-tk \
	    --sourcedir=debian/python-imaging \
		usr/lib/python$*/$(call py_sitename_sh, $*)/_imagingtk.so \
		usr/lib/python$*/$(call py_sitename_sh, $*)/PIL/ImageTk.py

	$(SET_CROSS_ENV) python$*-dbg setup.py install \
		--root $(CURDIR)/debian/python-imaging-dbg \
		$(py_setup_install_args)
	mkdir -p debian/python-imaging-dbg/usr/include/python$*_d
	for i in Imaging.h ImPlatform.h ImDib.h; do \
	  ln -sf ../python$*/$$i \
	    debian/python-imaging-dbg/usr/include/python$*_d/$$i; \
	done
	cd Sane && $(SET_CROSS_ENV) python$*-dbg setup.py install \
		--root $(CURDIR)/debian/python-imaging-sane-dbg  $(py_setup_install_args)

	find debian/python-imaging*-dbg \
		! -type d ! \( -name '*_d.so' -o -name '*.h' \) | xargs rm -f
	find debian/python-imaging*-dbg -depth -empty -exec rmdir {} \;

	dh_movefiles -ppython-imaging-tk-dbg \
	    --sourcedir=debian/python-imaging-dbg \
		usr/lib/python$*/$(call py_sitename_sh, $*)/_imagingtk_d.so

	# Install the compatibility modules for python2 only.
	cd debian/PILcompat && python$* setup.py install \
		--root $(CURDIR)/debian/python-imaging-compat --install-layout=deb
	find debian/python-imaging-compat -name '*.egg-info' | xargs -r rm -rf

install3-python%:
	$(SET_CROSS_ENV) python$* setup.py install \
		--root $(CURDIR)/debian/python3-imaging \
		$(py_setup_install_args)
	cd Sane && $(SET_CROSS_ENV) python$* setup.py install \
		--root $(CURDIR)/debian/python3-imaging-sane  $(py_setup_install_args)

	incdir=$$(python$* -c 'import sysconfig; print(sysconfig.get_path("include"))'); \
	mkdir -p debian/python3-imaging/$$incdir; \
	install -o root -g root -m 644 \
		libImaging/Imaging.h \
		libImaging/ImPlatform.h \
		libImaging/ImDib.h \
		debian/python3-imaging/$$incdir

	abitag=.$$(python$* -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"); \
	dh_movefiles -ppython3-imaging-tk \
	    --sourcedir=debian/python3-imaging \
		usr/lib/python3/$(call py_sitename_sh, $*)/_imagingtk$$abitag.so \
		usr/lib/python3/$(call py_sitename_sh, $*)/PIL/ImageTk.py

	$(SET_CROSS_ENV) python$*-dbg setup.py install \
		--root $(CURDIR)/debian/python3-imaging-dbg \
		$(py_setup_install_args)

	incname=$$(basename $$(python$* -c 'import sysconfig; print(sysconfig.get_path("include"))')); \
	incddir=$$(python$*-dbg -c 'import sysconfig; print(sysconfig.get_path("include"))'); \
	mkdir -p debian/python3-imaging-dbg/$$incddir; \
	for i in Imaging.h ImPlatform.h ImDib.h; do \
	  ln -sf ../$$incname/$$i \
	    debian/python3-imaging-dbg/$$incddir/$$i; \
	done
	cd Sane && $(SET_CROSS_ENV) python$*-dbg setup.py install \
		--root $(CURDIR)/debian/python3-imaging-sane-dbg  $(py_setup_install_args)

	find debian/python3-imaging*-dbg \
		! -type d ! \( -name '*.so' -o -name '*.h' \) | xargs rm -f
	find debian/python3-imaging*-dbg -depth -empty -exec rmdir {} \;

	abitag=.$$(python$*-dbg -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"); \
	dh_movefiles -ppython3-imaging-tk-dbg \
	    --sourcedir=debian/python3-imaging-dbg \
		usr/lib/python3/$(call py_sitename_sh, $*)/_imagingtk$$abitag.so

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
	dh_installexamples -i
#	dh_installmenu -i
#	dh_installman -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs -i #CHANGES
	dh_python2 -i
	dh_link -i
	dh_compress -i -X.py
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
	dh_installexamples -a
#	dh_installmenu -a
#	dh_installman -a
#	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs -a #CHANGES
#	for p in python-imaging python-imaging-tk python-imaging-sane; do \

	for p in \
	  python-imaging python-imaging-tk python-imaging-sane \
	  python3-imaging python3-imaging-tk python3-imaging-sane; \
	do \
	  rm -rf debian/$$p-dbg/usr/share/doc/$$p-dbg; \
	  ln -s $$p debian/$$p-dbg/usr/share/doc/$$p-dbg; \
	done
	dh_python2 -a
	dh_python3 -a
	dh_strip -ppython-imaging --dbg-package=python-imaging-dbg
	dh_strip -ppython-imaging-tk --dbg-package=python-imaging-tk-dbg
	dh_strip -ppython-imaging-sane --dbg-package=python-imaging-sane-dbg
	dh_strip -ppython3-imaging --dbg-package=python3-imaging-dbg
	dh_strip -ppython3-imaging-tk --dbg-package=python3-imaging-tk-dbg
	dh_strip -ppython3-imaging-sane --dbg-package=python3-imaging-sane-dbg
	dh_link -a
	dh_compress -a -X.py
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
