## python-imaging 1.1.7+2.0.0

=== debian/changelog ===
python-imaging (1.1.7+2.0.0-1) experimental; urgency=low

  * Pillow 2.0.0 release.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Mar 2013 16:44:01 -0700

python-imaging (1.1.7+1.7.8-4) experimental; urgency=low

  * Require python-defaults (>= 2.7.3-11) for the build. Closes: #700716.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Feb 2013 14:59:19 +0100

python-imaging (1.1.7+1.7.8-3) experimental; urgency=low

  * Fix python-tk build dependencies. Closes: #700716.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Feb 2013 02:24:36 +0100

python-imaging (1.1.7+1.7.8-2) experimental; urgency=low

  * Add python-imaging-compat modules to get back the old top-level
    module names (i.e. not subpackages within PIL) for Python 2 only.
  * python-imaging: Depend on python-imaging-compat for now.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Feb 2013 16:48:37 +0100
