=== debian/control ===
--- 
+++ 
@@ -3,11 +3,9 @@
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper, tk8.5-dev, dpkg-dev (>= 1.16.1~),
-  python-all-dev:any (>= 2.6.5-9~), python-all-dbg:any, python-setuptools,
-  python3-all-dev:any (>= 3.3), python3-all-dbg:any, python3-setuptools,
-  libpython-all-dev, libpython-all-dbg,
-  libpython3-all-dev, libpython3-all-dbg,
-  python-tk-dbg (>= 2.7.3), python3-tk-dbg (>= 3.3),
+  python-all-dev (>= 2.7.3-11~), python-all-dbg, python-setuptools,
+  python3-all-dev (>= 3.3), python3-all-dbg, python3-setuptools,
+  python-tk, python-tk-dbg, python3-tk, python3-tk-dbg (>= 3.3),
   libsane-dev, libfreetype6-dev, libjpeg8-dev, zlib1g-dev, liblcms1-dev,
 Build-Conflicts: python-numarray
 Standards-Version: 3.9.4
