=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,7 @@
 	dh_testroot
 	rm -f *-stamp*
 	rm -rf compile build Sane/build
+	rm -rf debian/PILcompat/build
 	rm -rf Pillow*.egg-info
 	find -name '*.py[co]' -exec rm -f {} \;
 	dh_clean
